Skip to content
OpenPostDocs
OpenPostDocs
Auth

Confirm and apply a sign-in email change

POST/auth/email-change/{id}/confirm

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Email-change challenge ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/email-change/string/confirm" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ConfirmEmailChangeOutputBody.json",  "email": "string",  "revoked_sessions": 0}